View Issue Details

IDProjectCategoryView StatusLast Update
0001106OpenMPT[All Projects] libopenmptpublic2018-11-13 07:42
ReportermanxAssigned Tomanx 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Versionlibopenmpt 0.4 (goals)Fixed in Versionlibopenmpt 0.4 (goals) 
Summary0001106: cppcheck support
Description

cppcheck is a static analyzer for C++. See http://cppcheck.sourceforge.net/.
This will require some build system integration or custom checking script to be easily usable.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

manx

manx

2018-03-23 09:38

administrator   ~0003488

Implemented in r9936 through r9953.
This could still be expanded to also check OpenMPT itself.

manx

manx

2018-11-13 07:40

administrator   ~0003713

OpenMPT cppcheck support implemented in r9981, r9982, r9986, r9991, r10780.

Issue History

Date Modified Username Field Change
2018-03-19 10:07 manx New Issue
2018-03-19 10:07 manx Status new => assigned
2018-03-19 10:07 manx Assigned To => manx
2018-03-23 09:38 manx Note Added: 0003488
2018-11-13 07:40 manx Status assigned => resolved
2018-11-13 07:40 manx Resolution open => fixed
2018-11-13 07:40 manx Fixed in Version => OpenMPT 1.28.01.00 (goals)
2018-11-13 07:40 manx Note Added: 0003713
2018-11-13 07:42 manx Fixed in Version OpenMPT 1.28.01.00 (goals) => libopenmpt 0.4 (goals)